Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_OS_Object_Manager Class Reference

`#include <OS.h>`

Inheritance diagram for ACE_OS_Object_Manager:

[legend]
Collaboration diagram for ACE_OS_Object_Manager:

[legend]
List of all members.

## Public Types
enum | Preallocated_Object { ACE_OS_EMPTY_PREALLOCATED_OBJECT, ACE_OS_PREALLOCATED_OBJECTS }
| Unique identifiers for preallocated objects. More...
## Public Methods
virtual int | init (void)
| Explicitly initialize. More...
virtual int | fini (void)
| Explicitly destroy. More...
| ACE_OS_Object_Manager (void)
| Constructor. More...
| ~ACE_OS_Object_Manager (void)
| Destructor. More...
## Static Public Methods
int | starting_up (void)
| Returns 1 before the <ACE_OS_Object_Manager> has been constructed. More...
int | shutting_down (void)
| Returns 1 after the <ACE_OS_Object_Manager> has been destroyed. See <ACE_Object_Manager::shutting_down> for more information. More...
sigset_t * | default_mask (void)
| Accesses a default signal set used, for example, in <ACE_Sig_Guard> methods. More...
ACE_Thread_Hook * | thread_hook (void)
| Returns the current thread hook for the process. More...
ACE_Thread_Hook * | thread_hook (ACE_Thread_Hook *new_thread_hook)
| Returns the existing thread hook and assign a <new_thread_hook>. More...
## Private Methods
int | at_exit (ACE_EXIT_HOOK func)
| For <ACE_OS::atexit> support. More...
## Static Private Methods
ACE_OS_Object_Manager * | instance (void)
| Accessor to singleton instance. More...
void | print_error_message (u_int line_number, const ACE_TCHAR *message)
| For use by init () and fini (), to consolidate error reporting. More...
## Private Attributes
sigset_t * | default_mask_
| Default signal set used, for example, in ACE_Sig_Guard. More...
ACE_Thread_Hook * | thread_hook_
| Thread hook that's used by this process. More...
ACE_OS_Exit_Info | exit_info_
| For at_exit support. More...
## Static Private Attributes
ACE_OS_Object_Manager * | instance_ = 0
| Singleton instance pointer. More...
void * | preallocated_object [ACE_OS_PREALLOCATED_OBJECTS] = { 0 }
| Table of preallocated objects. More...
## Friends
class | ACE_OS
| This class is for internal use by ACE_OS, etc., only. More...
class | ACE_Object_Manager
class | ACE_OS_Object_Manager_Manager
class | ACE_TSS_Cleanup
class | ACE_TSS_Emulation
class | ACE_Log_Msg
void | ACE_OS_Object_Manager_Internal_Exit_Hook ()

## Member Enumeration Documentation

enum ACE_OS_Object_Manager::Preallocated_Object

  | Unique identifiers for preallocated objects. Enumeration values:
  ACE_OS_EMPTY_PREALLOCATED_OBJECT |
  ACE_OS_PREALLOCATED_OBJECTS | This enum value must be last!

## Constructor & Destructor Documentation

ACE_OS_Object_Manager::ACE_OS_Object_Manager | ( | void |  | ) |

| Constructor.

ACE_OS_Object_Manager::~ACE_OS_Object_Manager | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int ACE_OS_Object_Manager::at_exit | ( | ACE_EXIT_HOOK | func | ) | `[private]`

| For <ACE_OS::atexit> support.

sigset_t * ACE_OS_Object_Manager::default_mask | ( | void |  | ) | `[static]`

| Accesses a default signal set used, for example, in <ACE_Sig_Guard> methods.

int ACE_OS_Object_Manager::fini | ( | void |  | ) | `[virtual]`

| Explicitly destroy. Reimplemented from ACE_Object_Manager_Base.

int ACE_OS_Object_Manager::init | ( | void |  | ) | `[virtual]`

| Explicitly initialize. Reimplemented from ACE_Object_Manager_Base.

ACE_OS_Object_Manager * ACE_OS_Object_Manager::instance | ( | void |  | ) | `[static, private]`

| Accessor to singleton instance.

void ACE_OS_Object_Manager::print_error_message | ( | u_int | line_number,
|  | const ACE_TCHAR * | message
| ) | `[static, private]`

| For use by init () and fini (), to consolidate error reporting.

int ACE_OS_Object_Manager::shutting_down | ( | void |  | ) | `[static]`

| Returns 1 after the <ACE_OS_Object_Manager> has been destroyed. See <ACE_Object_Manager::shutting_down> for more information.

int ACE_OS_Object_Manager::starting_up | ( | void |  | ) | `[static]`

| Returns 1 before the <ACE_OS_Object_Manager> has been constructed. See <ACE_Object_Manager::starting_up> for more information.

ACE_Thread_Hook * ACE_OS_Object_Manager::thread_hook | ( | ACE_Thread_Hook * | new_thread_hook | ) | `[static]`

| Returns the existing thread hook and assign a <new_thread_hook>.

ACE_Thread_Hook * ACE_OS_Object_Manager::thread_hook | ( | void |  | ) | `[static]`

| Returns the current thread hook for the process.

## Friends And Related Function Documentation

friend class ACE_Log_Msg`[friend]`

friend class ACE_Object_Manager`[friend]`

friend class ACE_OS`[friend]`

| This class is for internal use by ACE_OS, etc., only.

void ACE_OS_Object_Manager_Internal_Exit_Hook | ( | void |  | ) | `[friend]`

friend class ACE_OS_Object_Manager_Manager`[friend]`

friend class ACE_TSS_Cleanup`[friend]`

friend class ACE_TSS_Emulation`[friend]`

## Member Data Documentation

sigset_t* ACE_OS_Object_Manager::default_mask_`[private]`

| Default signal set used, for example, in ACE_Sig_Guard.

ACE_OS_Exit_Info ACE_OS_Object_Manager::exit_info_`[private]`

| For at_exit support.

ACE_OS_Object_Manager * ACE_OS_Object_Manager::instance_ = 0`[static, private]`

| Singleton instance pointer.

void * ACE_OS_Object_Manager::preallocated_object = { 0 }`[static, private]`

| Table of preallocated objects.

ACE_Thread_Hook* ACE_OS_Object_Manager::thread_hook_`[private]`

| Thread hook that's used by this process.

The documentation for this class was generated from the following files:

- OS.h
- OS.cpp